Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.net.http
Class HttpsURLConnection

    java.lang.Object
      java.net.URLConnection
          java.net.HttpURLConnection
              weblogic.net.http.HttpURLConnection
                  weblogic.net.http.HttpsURLConnection

Direct Known Subclasses:
  SOAPHttpsURLConnection

    public class HttpsURLConnection

extends HttpURLConnection

A class to represent an HTTPS connection to a remote object.

Field Summary

Fields inherited from class weblogic.net.http.HttpURLConnection
`defaultConnectTimeout, rememberedException`

Fields inherited from class java.net.HttpURLConnection
`HTTP_ACCEPTED, HTTP_BAD_GATEWAY, HTTP_BAD_METHOD, HTTP_BAD_REQUEST, HTTP_CLIENT_TIMEOUT, HTTP_CONFLICT, HTTP_CREATED, HTTP_ENTITY_TOO_LARGE, HTTP_FORBIDDEN, HTTP_GATEWAY_TIMEOUT, HTTP_GONE, HTTP_INTERNAL_ERROR, HTTP_LENGTH_REQUIRED, HTTP_MOVED_PERM, HTTP_MOVED_TEMP, HTTP_MULT_CHOICE, HTTP_NO_CONTENT, HTTP_NOT_ACCEPTABLE, HTTP_NOT_AUTHORITATIVE, HTTP_NOT_FOUND, HTTP_NOT_IMPLEMENTED, HTTP_NOT_MODIFIED, HTTP_OK, HTTP_PARTIAL, HTTP_PAYMENT_REQUIRED, HTTP_PRECON_FAILED, HTTP_PROXY_AUTH, HTTP_REQ_TOO_LONG, HTTP_RESET, HTTP_SEE_OTHER, HTTP_SERVER_ERROR, HTTP_UNAUTHORIZED, HTTP_UNAVAILABLE, HTTP_UNSUPPORTED_TYPE, HTTP_USE_PROXY, HTTP_VERSION, instanceFollowRedirects, method, responseCode, responseMessage`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`HttpsURLConnection(URL u)`
`HttpsURLConnection(URL u, Proxy p)`

Method Summary
`void` | `connect()` Make SSL connection to URL which was received in constructor.
`void` | `disconnect()` Disconnect from the server.
`String` | `getCipherSuite()` Returns the cipher suite that was negotiatd for the SSL connection.
`static HostnameVerifierJSSE` | `getDefaultHostnameVerifierJSSE()` Deprecated. WLS 9.0 (04/2003)
`static SSLSocketFactory` | `getDefaultSSLSocketFactory()` Gets the default static SSL socket factory to be used when creating sockets for secure https URL connections.
`HostnameVerifier` | `getHostnameVerifier()` Gets the HostnameVerifier.
`HostnameVerifierJSSE` | `getHostnameVerifierJSSE()` Deprecated. WLS 9.0 (04/2003) Replaced by getHostnameVerifier()
`protected weblogic.net.http.HttpClient` | `getHttpClient()`
`protected String` | `getProtocol()`
`X509Certificate[]` | `getServerCertificateChain()` Returns the certificate chain that was received from the server during the SSL handshake.
`SSLSession` | `getSSLSession()` Returns the SSL session for the connection.
`SSLSocketFactory` | `getSSLSocketFactory()` Gets the SSL socket factory to be used when creating sockets for secure https URL connections.
`TrustManager` | `getTrustManager()` Gets the TrustManager.
`void` | `loadLocalIdentity(Certificate[] certs, PrivateKey privateKey)` Load local identity cert chain and private key for client
`void` | `loadLocalIdentity(InputStream[] stream)` Load local identity key and certs for client.
`void` | `loadLocalIdentity(InputStream certStream, InputStream keyStream, char[] password)` Load local identity cert chain and private key for client
`void` | `setHostnameVerifier(HostnameVerifier hv)` Sets the HostnameVerifier.
`void` | `setHostnameVerifierJSSE(HostnameVerifierJSSE hv)` Deprecated. WLS 9.0 (04/2003) Replaced by setHostnameVerifier(HostnameVerifier)
`void` | `setSSLClientCertificate(InputStream[] certs)` Load local identity key and certs for client.
`void` | `setSSLSocketFactory(SSLSocketFactory sslSF)` Sets the SSL socket factory to be used when creating sockets for secure https URL connections.
`void` | `setTrustManager(TrustManager tm)` Sets the TrustManager.

Methods inherited from class weblogic.net.http.HttpURLConnection
`addRequestProperty, doSetRequests, followRedirect, getAuthInfo, getConnectTimeout, getErrorStream, getHeaderField, getHeaderField, getHeaderFieldKey, getHeaderFields, getInputStream, getOutputStream, getProxyAuthString, getReadTimeout, getRequestProperties, getRequestProperty, getResponseCode, getSocketFactory, getTimeout, setChunkedStreamingMode, setConnectTimeout, setEmptyRequestProperty, setFixedLengthStreamingMode, setMuxableSocket, setReadTimeout, setRequestProperty, setSocketFactory, setTimeout, usingProxy, writeRequests`

Methods inherited from class java.net.HttpURLConnection
`getFollowRedirects, getHeaderFieldDate, getInstanceFollowRedirects, getPermission, getRequestMethod, getResponseMessage, setFollowRedirects, setInstanceFollowRedirects, setRequestMethod`

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderFieldInt, getIfModifiedSince, getLastModified, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpsURLConnection

    public HttpsURLConnection(URL u)

### HttpsURLConnection

    public HttpsURLConnection(URL u,
                              Proxy p)

Method Detail

### loadLocalIdentity

    public void loadLocalIdentity(InputStream[] stream)

  Load local identity key and certs for client.

### loadLocalIdentity

    public void loadLocalIdentity(InputStream certStream,
                                  InputStream keyStream,
                                  char[] password)

  Load local identity cert chain and private key for client

### loadLocalIdentity

    public void loadLocalIdentity(Certificate[] certs,
                                  PrivateKey privateKey)

  Load local identity cert chain and private key for client

### setSSLClientCertificate

    public void setSSLClientCertificate(InputStream[] certs)

  Load local identity key and certs for client.

### setTrustManager

    public void setTrustManager(TrustManager tm)

  Sets the TrustManager.

### getTrustManager

    public TrustManager getTrustManager()

  Gets the TrustManager.

### setHostnameVerifier

    public void setHostnameVerifier(HostnameVerifier hv)

  Sets the HostnameVerifier.

### getHostnameVerifier

    public HostnameVerifier getHostnameVerifier()

  Gets the HostnameVerifier.

### setHostnameVerifierJSSE

    public void setHostnameVerifierJSSE(HostnameVerifierJSSE hv)

  Deprecated. WLS 9.0 (04/2003) Replaced by setHostnameVerifier(HostnameVerifier)

  Sets the HostnameVerifierJSSE for this instance of this class.

### getHostnameVerifierJSSE

    public HostnameVerifierJSSE getHostnameVerifierJSSE()

  Deprecated. WLS 9.0 (04/2003) Replaced by getHostnameVerifier()

  Gets the HostnameVerifierJSSE.

### getDefaultHostnameVerifierJSSE

    public static HostnameVerifierJSSE getDefaultHostnameVerifierJSSE()

  Deprecated. WLS 9.0 (04/2003)

  Gets the default HostnameVerifierJSSE inherited when an instance of this class is created. The default hostname verifier does a string comparison of the server's hostname with the server's certificate SubjectDN CommonName.

### setSSLSocketFactory

    public void setSSLSocketFactory(SSLSocketFactory sslSF)

  Sets the SSL socket factory to be used when creating sockets for secure https URL connections.

### getSSLSocketFactory

    public SSLSocketFactory getSSLSocketFactory()

  Gets the SSL socket factory to be used when creating sockets for secure https URL connections.

### getDefaultSSLSocketFactory

    public static SSLSocketFactory getDefaultSSLSocketFactory()

  Gets the default static SSL socket factory to be used when creating sockets for secure https URL connections.

### getCipherSuite

    public String getCipherSuite()

  Returns the cipher suite that was negotiatd for the SSL connection.

### getServerCertificateChain

    public X509Certificate[] getServerCertificateChain()
                                                throws SSLPeerUnverifiedException

  Returns the certificate chain that was received from the server during the SSL handshake.

  Throws:
    `SSLPeerUnverifiedException`

### getSSLSession

    public SSLSession getSSLSession()

  Returns the SSL session for the connection.

### connect

    public void connect()
                 throws IOException

  Make SSL connection to URL which was received in constructor. overriden from HttpUrlConnection to set the SSL info to the new HttpsClient

  Overrides:
    `connect` in class `HttpURLConnection`
  Throws:
    `IOException`

### disconnect

    public void disconnect()

  Description copied from class: `HttpURLConnection`
  Disconnect from the server.

  Overrides:
    `disconnect` in class `HttpURLConnection`

### getProtocol

    protected String getProtocol()

  Overrides:
    `getProtocol` in class `HttpURLConnection`

### getHttpClient

    protected weblogic.net.http.HttpClient getHttpClient()
                                                  throws IOException

  Overrides:
    `getHttpClient` in class `HttpURLConnection`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD